Bug 595739 - missing multiple man pages
missing multiple man pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Dan Williams
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 09:53 EDT by Lubos Kocman
Modified: 2011-01-20 11:47 EST (History)
3 users (show)

See Also:
Fixed In Version: NetworkManager-0.8.1-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-12 16:42:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Kocman 2010-05-25 09:53:28 EDT
Description of problem:

There are missing man pages for following utilities that are available in RHEL 6:

nm-online
nm-connection-editor
nm-applet

while manpage for outdated configuration file nm-system-settings.conf exists

Version-Release number of selected component (if applicable):

NetworkManager-gnome-0.8.1-0.2.git20100519.el6.x86_64
NetworkManager-0.8.1-0.2.git20100519.el6.x86_64



lkocman@ThinkPad T400$ sudo yum whatprovides /usr/share/man/*nm-* | grep Filename
This system is not registered with RHN.
RHN support will be disabled.
Filename    : /usr/share/man/man5/nm-system-settings.conf.5.gz
Filename    : /usr/share/man/man1/nm-tool.1.gz
Filename    : /usr/share/man/man5/nm-system-settings.conf.5.gz
Filename    : /usr/share/man/man1/nm-tool.1.gz




How reproducible:


Steps to Reproduce:
1. man nm-online
2. man nm-connection-editor
3. man nm-applet
  
Actual results:

not found


Expected results:

man page should be present

Additional info:

I found that ubuntu is missing nm-applet man page as well, is this some kind of "on purpose" issue?
Comment 2 Jirka Klimes 2010-05-28 04:38:27 EDT
Yeah, some documentation is still missing. We work to improve that.

nm-online
 - we should create man page
nm-applet
nm-connection-editor
 - as GNOME GUI apps, I think more appropriate would be providing GNOME documentation pages (through DocBook, Yelp), which allows screenshots, etc. Possible with additional stub man pages referring to the Gnome documentation.

>I found that ubuntu is missing nm-applet man page as well, is this some kind of
>"on purpose" issue? 
The documentation is taken from upstream and it's not there yet. When created, it will be pushed upstream so that all distros could reuse that.
Comment 3 RHEL Product and Program Management 2010-06-07 12:12:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 RHEL Product and Program Management 2010-07-15 10:53:34 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Dan Williams 2010-08-12 12:26:07 EDT
NetworkManager-0.8.1-5.el6 has added a  manpage for nm-online.
Comment 8 Dan Williams 2011-01-12 16:42:53 EST
Closing as the nm-online manpage got added for 6.0.  Both nm-applet and nm-connection-editor have --help text, so I don't think manpages are necessarily warranted here.  Quite a few other GUI tools and applets don't have them.  If it's really a hard requirement that absolutely every executable have a manpage then we can re-open and address the issue.  In the end the manpage would really just say "Please refer to --help text" anyway.

Note You need to log in before you can comment on or make changes to this bug.